Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wcs
Class CoverageOfferingBrief

    java.lang.Object
      org.deegree.ogcbase.DescriptionBase
          org.deegree.ogcbase.Description
              org.deegree.ogcwebservices.wcs.CoverageOfferingBrief

All Implemented Interfaces:
  Serializable, Cloneable

Direct Known Subclasses:
  CoverageOffering

    public class CoverageOfferingBrief

extends Description

Since:
  2.0
Version:
  $Revision: 18195 $, 1.0. $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Andreas Poth, last edited by: $Author: mschneider $
See Also:
  Serialized Form

Constructor Summary
`CoverageOfferingBrief(String name, String label, String description, MetadataLink metadataLink, LonLatEnvelope lonLatEnvelope, Keywords[] keywords)`
`CoverageOfferingBrief(String name, String label, String description, MetadataLink metadataLink, LonLatEnvelope lonLatEnvelope, Keywords[] keywords, URL configuration)`

Method Summary
`URL` | `getConfiguration()`
`Keywords[]` | `getKeywords()`
`LonLatEnvelope` | `getLonLatEnvelope()`
`void` | `setConfiguration(URL configuration)`
`void` | `setKeywords(Keywords[] keywords)`
`void` | `setLonLatEnvelope(LonLatEnvelope lonLatEnvelope)`

Methods inherited from class org.deegree.ogcbase.Description
`clone, getLabel, setLabel`

Methods inherited from class org.deegree.ogcbase.DescriptionBase
`getDescription, getMetadataLink, getName, setDescription, setMetadataLink, setName`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CoverageOfferingBrief

    public CoverageOfferingBrief(String name,
                                 String label,
                                 String description,
                                 MetadataLink metadataLink,
                                 LonLatEnvelope lonLatEnvelope,
                                 Keywords[] keywords)
                          throws OGCException,
                                 WCSException

Parameters:
  `name` -
  `label` -
  `description` -
  `metadataLink` -
  `lonLatEnvelope` -
  `keywords` -
Throws:
  `OGCException`
  `WCSException`

### CoverageOfferingBrief

    public CoverageOfferingBrief(String name,
                                 String label,
                                 String description,
                                 MetadataLink metadataLink,
                                 LonLatEnvelope lonLatEnvelope,
                                 Keywords[] keywords,
                                 URL configuration)
                          throws OGCException,
                                 WCSException

Parameters:
  `name` -
  `label` -
  `description` -
  `metadataLink` -
  `lonLatEnvelope` -
  `keywords` -
Throws:
  `OGCException`
  `WCSException`

Method Detail

### getKeywords

    public Keywords[] getKeywords()

  Returns:
    Returns the keywords.

### setKeywords

    public void setKeywords(Keywords[] keywords)

  Parameters:
    `keywords` - The keywords to set.

### getLonLatEnvelope

    public LonLatEnvelope getLonLatEnvelope()

  Returns:
    Returns the lonLatEnvelope.

### setLonLatEnvelope

    public void setLonLatEnvelope(LonLatEnvelope lonLatEnvelope)

  Parameters:
    `lonLatEnvelope` - The lonLatEnvelope to set.

### getConfiguration

    public URL getConfiguration()

  Returns:
    Returns the configuration.

### setConfiguration

    public void setConfiguration(URL configuration)

  Parameters:
    `configuration` - The configuration to set.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org